<ng-container *ngIf="goals?.length > 0; else goalsAreNotDefined">
  <div class="row">
    <div class="col-3 font-weight-boldest">Názov cieľa</div>
    <div class="col-1 font-weight-boldest">Váha</div>
    <div class="col-1 font-weight-boldest">Plán</div>
    <div class="col-1 font-weight-boldest">+/-/Z/KO</div>
    <div class="col-4 font-weight-boldest">

<!--      <div *ngIf="criteria.assignmentType === 'COMPANY'" class="row">-->
      <div *ngIf="criteria.assignmentType === 'COMPANY'" class="row">
        <div class="col-6">
          <div class="row">
            <div class="col-12 text-center">Polročné plnenie</div>
            <div class="col-6 font-size-xs">Skutočnosť</div>
            <div class="col-6 font-size-xs">Plnenie</div>
          </div>
        </div>
        <div class="col-6">
          <div class="row">
            <div class="col-12 text-center">Záverečné plnenie</div>
            <div class="col-6 font-size-xs">Skutočnosť</div>
            <div class="col-6 font-size-xs">Plnenie</div>
          </div>
        </div>
      </div>
      <div *ngIf="criteria.assignmentType !== 'COMPANY'" class="row">
        <div class="col-6">
          <div class="row">
            <div class="col-12 text-center">Polročné hodnotenie</div>
            <div class="col-4 font-size-xs">Hodnota</div>
            <div class="col-4 font-size-xs">Celkovo</div>
            <div class="col-4 font-size-xs">Plnenie</div>
          </div>
        </div>
        <div class="col-6">
          <div class="row">
            <div class="col-12 text-center">Záverečné hodnotenie</div>
            <div class="col-4 font-size-xs">Hodnota</div>
            <div class="col-4 font-size-xs">Celkovo</div>
            <div class="col-4 font-size-xs">Plnenie</div>
          </div>
        </div>
      </div>

    </div>
    <div class="col-1 font-weight-boldest">Odmena</div>
    <div *ngIf="isManager || isCompany" class="col-1"></div>
  </div>

<!--  bg-hover-light-success-->
  <div *ngFor="let g of goals; let i = index;"
       class="row pt-3 pb-1 {{g | success_background}}" style="border-bottom: 1px #d7d5d5 solid;">
    <div class="col-3">
      <div>{{g.name}}</div>
    </div>
    <div class="col-1">{{g.weight | slovak_percent}}</div>
    <div class="col-1">
      <div>{{g.value | slovak_number}}</div>
      <div class="text-muted">{{g.unit | goal_unit_text}}</div>
    </div>
    <div class="col-1">{{g.evaluationType | evaluation_type_text}}</div>
    <div class="col-4">

      <div *ngIf="criteria.assignmentType === 'COMPANY'" class="row">
        <div class="col-6">
          <div class="row">
            <div class="col-6">
              <app-goal-evaluation [evaluation]="g?.semiAnnualEvaluation"
                                   [goal]="g"
                                   (evaluationChanged)="onSemiAnnualEvaluationChanged(i, g, $event)"></app-goal-evaluation>
            </div>
            <div class="col-6">
              {{g.semiAnnualEvaluation?.completed | slovak_percent}}
            </div>
          </div>
        </div>

        <div class="col-6">
          <div class="row">
            <div class="col-6">
              <app-goal-evaluation [evaluation]="g?.annualEvaluation"
                                   [goal]="g"
                                   (evaluationChanged)="onAnnualEvaluationChanged(i, g, $event)"></app-goal-evaluation>
            </div>
            <div class="col-6">
              {{g.annualEvaluation?.completed | slovak_percent}}
            </div>
          </div>
        </div>
      </div>

      <div *ngIf="criteria.assignmentType !== 'COMPANY'" class="row">
        <div class="col-6">
          <div class="row">
            <div class="col-8">
              <app-goal-evaluation [evaluation]="g?.semiAnnualEvaluation"
                                   [goal]="g"
                                   (evaluationChanged)="onSemiAnnualEvaluationChanged(i, g, $event)"></app-goal-evaluation>
            </div>
            <div class="col-4 font-size-xs">
              {{g.semiAnnualEvaluation?.completed | slovak_percent}}
            </div>
          </div>
        </div>

        <div class="col-6">
          <div class="row">
            <div class="col-8">
              <app-goal-evaluation [evaluation]="g?.annualEvaluation"
                                   [goal]="g"
                                   (evaluationChanged)="onAnnualEvaluationChanged(i, g, $event)"></app-goal-evaluation>
            </div>
            <div class="col-4 font-size-xs">
              {{g.annualEvaluation?.completed | slovak_percent}}
            </div>
          </div>
        </div>
      </div>

    </div>
    <div class="col-1">{{g?.targetReward | slovak_percent}}</div>
    <div *ngIf="actions && (isManager || isCompany)" class="col-1 text-center">
      <fox-icon *ngIf="!g.lock"
                [iconType]="editIcon"
                (click)="openGoal(i, g)"
                size="xs"
                class="cursor-pointer"
                title="Editacia cieľa"></fox-icon>
      <fox-icon *ngIf="!g.lock"
                [iconType]="deleteIcon"
                (click)="openConfirmRemoveGoalDialog(i)"
                size="xs"
                class="cursor-pointer text-danger"
                title="Vymazanie cieľa"></fox-icon>
      <fox-icon *ngIf="!g.lock"
                [iconType]="lockIcon"
                (click)="openConfirmLockGoalDialog(i)"
                size="xs"
                class="cursor-pointer text-danger"
                title="Zamknútie cieľa"></fox-icon>
      <fox-icon *ngIf="g.lock"
                [iconType]="unLockIcon"
                (click)="openConfirmUnLockGoalDialog(i)"
                size="xs"
                class="cursor-pointer text-success"
                title="Odomknútie cieľa"></fox-icon>
    </div>
    <div *ngIf="g.description" class="col-12 text-muted">{{g.description}}</div>
  </div>
</ng-container>

<ng-template #goalsAreNotDefined>
  <div class="row mt-10 mb-10">
    <div class="col-12 text-center">
      <div class="row">
        <div class="col-12 mb-5">
          Pre rok {{criteria.year}} nie sú definované žiadne {{assignmentTypeText}}.
        </div>
        <div *ngIf="isManager || isCompany" class="col-12">
          <button (click)="initAsPreviousYear()"
                  foxBtn
                  color="success"
                  type="outline">
            <fox-icon [iconType]="cogsIcon" foxPrefix></fox-icon>
            Inicializovať podľa predchádzajúceho roka
          </button>
        </div>
      </div>
    </div>
  </div>
</ng-template>

<div *ngIf="actions && (isManager || isCompany)" class="row mt-5">
  <div class="col-6">
    <button (click)="openGoal(isNew, null)"
            foxBtn
            color="success"
            type="outline">
      <fox-icon [iconType]="plusIcon" foxPrefix></fox-icon>
      Pridať nový cieľ
    </button>
  </div>
</div>

<ng-container *ngIf="detailDialog$ | async"></ng-container>
<ng-container *ngIf="confirmedRemoveGoalDialog$ | async"></ng-container>
<ng-container *ngIf="confirmedLock$ | async"></ng-container>
<ng-container *ngIf="confirmedUnlock$ | async"></ng-container>
<ng-container *ngIf="isManager$ | async"></ng-container>
<ng-container *ngIf="isCompany$ | async"></ng-container>
<ng-container *ngIf="goals$ | async"></ng-container>
<ng-container *ngIf="criteria$ | async"></ng-container>
<ng-container *ngIf="user$ | async"></ng-container>
